commit:     75b037767e2895549194fcb7707543aa3f5fb746
Author:     Paolo Pedroni <paolo.pedroni <AT> iol <DOT> it>
AuthorDate: Tue Oct  4 09:06:51 2022 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
CommitDate: Tue Oct 18 12:41:52 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=75b03776

sci-mathematics/gimps: add 30.8.17

Closes: https://bugs.gentoo.org/874861
Signed-off-by: Paolo Pedroni <paolo.pedroni <AT> iol.it>
Closes: https://github.com/gentoo/gentoo/pull/27604
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> gentoo.org>

 sci-mathematics/gimps/Manifest             |  1 +
 sci-mathematics/gimps/gimps-30.8.17.ebuild | 71 ++++++++++++++++++++++++++++++
 2 files changed, 72 insertions(+)

diff --git a/sci-mathematics/gimps/Manifest b/sci-mathematics/gimps/Manifest
index 14de9af08792..0f827c701430 100644
--- a/sci-mathematics/gimps/Manifest
+++ b/sci-mathematics/gimps/Manifest
@@ -3,3 +3,4 @@ DIST gimps-30.7.9.linux64.tar.gz 7100830 BLAKE2B 
8ebae083d26309f7c624e38c943e3bb
 DIST gimps-30.8.15.linux32.tar.gz 6029035 BLAKE2B 
4b84ebd89d45d5f0d0de28539ea8bc5bfb0f7383f39bb02ac00d51ba46897bba222db6215578e38fb939f541dae2569f431547caa51825dcdc6845e7e62f028b
 SHA512 
b0a30d2d629d0f08dd2838be9dbe669c7f8f3d9f50ccfedc94c453a994cba9972440182e05d8e3b74b258e6e60cff53f6521e73a7ebdb34a45701a81d8b3f671
 DIST gimps-30.8.15.linux64.tar.gz 7211031 BLAKE2B 
1d0291adb255099b9c8b44e2f650831755822ab850c2ebaa86dbe9728da619a4f9c22e3e5736a70ca3657818e2748caf32a23243347c048b9d57ecc8f7b3cf42
 SHA512 
6034dca7644bab85da3fdb194755a076778b37dfaa0a944ee5e64915e1196b61bd5f0a291a40118648c3a81faef3ac3026230709312d2de154260c3cf736a166
 DIST gimps-30.8.16.linux64.tar.gz 7211483 BLAKE2B 
0d4b6f7c8e5eae2cf1dc64700b8274a4bbb024511fbcfb206474a889cb4bbe67c91b5be958593615b4089c37a51fd0b2e0026046edb3170986e86e126646245a
 SHA512 
2a1c37ecffa24e5688002a3b5a8d0742b3d76d38b2e580d5e7a9684f02a8d6a8410dba2d54a825db531fed792e3c7207a32a23fd15048fb2cd93eabbb9e19b66
+DIST gimps-30.8.17.linux64.tar.gz 7222132 BLAKE2B 
14e0e75fbb4784fdfe27e29535eb162071f04d63456f09bb98beb2a03af2b7d9eeac8357dc8d53e9591f9035351bedde40825b7eb8f6d85035e87b317a7aa50b
 SHA512 
988c7a387b4d39af55bd04793bdc1c64acf67b13ab905bcc19fbd17575a7ef65d3a33ac06c2290f0457a6ebe4bf92451b43bc47d0b6d913bb03eb5f67ab823d1

diff --git a/sci-mathematics/gimps/gimps-30.8.17.ebuild 
b/sci-mathematics/gimps/gimps-30.8.17.ebuild
new file mode 100644
index 000000000000..3470d5d20ebf
--- /dev/null
+++ b/sci-mathematics/gimps/gimps-30.8.17.ebuild
@@ -0,0 +1,71 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit pax-utils readme.gentoo-r1 systemd tmpfiles
+
+DESCRIPTION="The Great Internet Mersenne Prime Search"
+HOMEPAGE="https://www.mersenne.org/";
+
+# The author has finally caved in to the pressure of putting the build
+# number in the package name. Some dark magic necessary to get to the
+# package name
+
+MY_PV=$(ver_rs 2 'b' )
+
+SRC_URI="https://www.mersenne.org/ftp_root/gimps/p95v${MY_PV/./}.linux64.tar.gz
 -> ${P}.linux64.tar.gz"
+
+SLOT="0"
+LICENSE="GIMPS"
+RESTRICT="mirror bindist"
+KEYWORDS="-* ~amd64"
+
+# Since there are no statically linked binaries for this version of mprime,
+# and no static binaries for amd64 in general, we use the dynamically linked
+# ones and try to cover the .so deps with the packages listed in RDEPEND.
+# libgmp.so.10.4.1 is bundled within the .tar.gz, but we use the system one.
+
+DEPEND=""
+RDEPEND="net-misc/curl
+       >=dev-libs/gmp-6.1.2"
+
+S="${WORKDIR}"
+OPTINSTALLDIR="/opt/gimps"
+
+QA_PREBUILT="opt/gimps/mprime"
+
+DOCS=( license.txt readme.txt stress.txt undoc.txt whatsnew.txt )
+
+src_install() {
+       dodir ${OPTINSTALLDIR}
+       keepdir /var/lib/gimps
+       pax-mark m mprime
+       cp mprime "${D}/${OPTINSTALLDIR}" || die
+       fperms a-w "${OPTINSTALLDIR}/mprime"
+       fowners root:0 "${OPTINSTALLDIR}"
+       fowners root:0 "${OPTINSTALLDIR}/mprime"
+
+       einstalldocs
+
+       readme.gentoo_create_doc
+
+       newinitd "${FILESDIR}/${PN}-28.9-init.d" gimps
+       newconfd "${FILESDIR}/${PN}-25.6-conf.d" gimps
+
+       systemd_dounit "${FILESDIR}/${PN}.service"
+       newtmpfiles "${FILESDIR}/${PN}.tmpfiles" "${PN}.conf"
+}
+
+pkg_postinst() {
+       tmpfiles_process "${PN}.conf"
+
+       readme.gentoo_print_elog
+}
+
+pkg_postrm() {
+       echo
+       einfo "GIMPS data files were not removed."
+       einfo "Remove them manually from /var/lib/gimps/"
+       echo
+}

Reply via email to